Lists Clients for the given tenant.
Supports filtering by manager, partner, associate, status, type, service, and search term.
Optionally apply a saved filter by code — saved filter values are used unless explicitly overridden by query parameters.
Requires: ViewAll on Clients.
Parameters
| Name | Type | Description |
|---|---|---|
| tenant* | path string | The Tenant.Code |
The Tenant.Code |
||
| savedFilter | query string | Code of a saved filter to apply. When provided, all filter parameters from the saved filter are used unless explicitly overridden by query parameters. |
Code of a saved filter to apply. When provided, all filter parameters from the saved filter are used unless explicitly overridden by query parameters. |
||
| offset | query integer (int32) | Number of records to skip (default: 0). Use with limit for pagination. |
Number of records to skip (default: 0). Use with limit for pagination. |
||
| limit | query integer (int32) | Maximum number of records to return (default: 10, max: 50) |
Maximum number of records to return (default: 10, max: 50) |
||
| sortBy | query enum | Field to sort by. Valid values depend on the resource. |
Field to sort by. Valid values depend on the resource. |
||
| sortDesc | query boolean | Sort in descending order (true) or ascending order (false, default) |
Sort in descending order (true) or ascending order (false, default) |
||
| phone | query string | Find the clients holding this phone number (main telephone or any extra number). Matches with or without the country code or leading zero, and ignores spaces, dashes, brackets and extensions. At least 7 digits |
Find the clients holding this phone number (main telephone or any extra number). Matches with or without the country code or leading zero, and ignores spaces, dashes, brackets and extensions. At least 7 digits |
||
| managerCode | query array | Filter clients by their assigned manager's code (repeat parameter for multiple values) |
Filter clients by their assigned manager's code (repeat parameter for multiple values) |
||
| partnerCode | query array | Filter clients by their assigned partner's code (repeat parameter for multiple values) |
Filter clients by their assigned partner's code (repeat parameter for multiple values) |
||
| associateCode | query array | Filter clients by their assigned associate's code (repeat parameter for multiple values) |
Filter clients by their assigned associate's code (repeat parameter for multiple values) |
||
| status | query array | Filter clients by status (repeat parameter for multiple values) |
Filter clients by status (repeat parameter for multiple values) |
||
| type | query array | Filter clients by their organization type (repeat parameter for multiple values) |
Filter clients by their organization type (repeat parameter for multiple values) |
||
| serviceCode | query array | Filter clients by billable service codes they have assigned (repeat parameter for multiple values) |
Filter clients by billable service codes they have assigned (repeat parameter for multiple values) |
||
| hasNoService | query boolean | Include clients with no services assigned. Can be combined with serviceCode to show clients with no services OR one of those services. |
Include clients with no services assigned. Can be combined with serviceCode to show clients with no services OR one of those services. |
||
| packageCode | query array | Filter clients by service package codes they have assigned (repeat parameter for multiple values) |
Filter clients by service package codes they have assigned (repeat parameter for multiple values) |
||
| hasNoPackage | query boolean | Include clients with no package assigned. Can be combined with packageCode to show clients with no package OR one of those packages. |
Include clients with no package assigned. Can be combined with packageCode to show clients with no package OR one of those packages. |
||
| teamCode | query array | Filter clients by their assigned team's code (repeat parameter for multiple values) |
Filter clients by their assigned team's code (repeat parameter for multiple values) |
||
| serviceStageCode | query array | Filter clients by service stage using composite codes in the format serviceCode:stageCode (repeat parameter for multiple values) |
Filter clients by service stage using composite codes in the format serviceCode:stageCode (repeat parameter for multiple values) |
||
| customFieldFilter | query array | Filter clients by custom field value using composite codes in the format fieldCode:value; use fieldCode: with an empty value to match clients where the field is blank (repeat parameter for multiple values — same field ORs, different fields AND) |
Filter clients by custom field value using composite codes in the format fieldCode:value; use fieldCode: with an empty value to match clients where the field is blank (repeat parameter for multiple values — same field ORs, different fields AND) |
||
| keyDateType | query string | Filter clients by one of their key dates. Names which key date the keyDateRange window applies to. Engine-computed date types (the VAT and MTD ITSA quarter dates) are not stored per client and cannot be filtered. |
Filter clients by one of their key dates. Names which key date the keyDateRange window applies to. Engine-computed date types (the VAT and MTD ITSA quarter dates) are not stored per client and cannot be filtered. |
||
| keyDateRange | query string | Preset window the chosen key date must fall within. If CustomDateRange, keyDateFrom and keyDateTo are required. |
Preset window the chosen key date must fall within. If CustomDateRange, keyDateFrom and keyDateTo are required. |
||
| keyDateFrom | query string | Start of the key date window, inclusive. Only valid when keyDateRange=CustomDateRange |
Start of the key date window, inclusive. Only valid when keyDateRange=CustomDateRange |
||
| keyDateTo | query string | End of the key date window, inclusive. Only valid when keyDateRange=CustomDateRange |
End of the key date window, inclusive. Only valid when keyDateRange=CustomDateRange |
||
| sortKeyDateType | query string | Which key date to order by. Required when sortBy=KeyDate, ignored otherwise. Clients with no value for the date type always sort last, in both directions. |
Which key date to order by. Required when sortBy=KeyDate, ignored otherwise. Clients with no value for the date type always sort last, in both directions. |
||
| search | query string | Search across client code, name and internal reference (minimum 3 characters) |
Search across client code, name and internal reference (minimum 3 characters) |
||
| missingRequiredData | query boolean | Filter to clients missing at least one applicable required custom field value |
Filter to clients missing at least one applicable required custom field value |
||